DEBCONF-APT-PROGRESS.DE.1(1)

NAME
debconf-apt-progress - installiere Pakete mittels Debconf zur Anzeige eines Fortschrittsbalkens

ÜBERSICHT
 debconf-apt-progress [--] Befehl [Argumente ...]
 debconf-apt-progress --config
 debconf-apt-progress --start
 debconf-apt-progress --from Wegpunkt --to Wegpunkt [--] Befehl [Argumente ...]
 debconf-apt-progress --stop

BESCHREIBUNG
debconf-apt-progress installiert Pakete und verwendet Debconf, um einen Fortschrittsbalken anzuzeigen. Der übergebene Befehl sollte eine der Befehlszeilenschnittstellen von APT sein; insbesondere muss er Fortschrittsinformationen an den durch die Konfigurationsoption "APT::Status-Fd" ausgewählten Dateideskriptor senden und muss den durch die Konfigurationsoption "APT::Keep-Fds" bestimmten Dateideskriptor beim Aufruf von Debconf (direkt oder indirekt) offen lassen, da diese Deskriptoren für das Debconf-Weiterleitungsprotokoll benutzt werden.

Die Argumente zum Befehl sollten im allgemeinen -y (für apt-get oder aptitude) oder ähnliches enthalten, um die APT-Oberfläche daran zu hindern, um Eingaben zu bitten. debconf-apt-progress kann dies nicht selbst erledigen, da das korrekte Argument bei verschiedenen APT-Oberflächen verschieden sein kann.

Die Optionen --start, --stop, --from und --to können zum Erstellen eines Fortschrittsbalkens mit mehreren Segmenten für verschiedene Stufen der Installation verwandt werden, vorausgesetzt dass der Aufrufende ein Debconf-Confmodule ist. Der Aufrufende darf mit dem Debconf-Protokoll auch mit dem Fortschrittsbalken selbst interagieren, falls er dies wünscht.

Debconf sperrt seine Konfigurationsdatenbank beim Starten, wodurch es unpraktisch wird, eine Instanz zur Darstellung des Fortschrittsbalkens und eine andere zur Weitergabe der Fragen von zu-installierenden Paketen zu verwenden. Falls Sie einen Fortschrittsbalken mit mehreren Segmenten verwenden, müssen Sie die Ausgabe der Option --config vor dem Starten der Debconf-Oberfläche auswerten, um dies zu umgehen. Lesen Sie "BEISPIELE" in den Abschnitt BEISPIELE unten.

OPTIONEN

--config
    Gebe die notwendigen Variablen aus, um die Fortschrittsbalken-Oberfläche zu starten.

--start
    Beginne einen Fortschrittsbalken, standardmäßig von 0 bis 100. Verwenden Sie --from und --to, um andere Endpunkte zu benutzen.

--from Wegpunkt
    Falls mit --start benutzt, wird der Fortschrittsbalken bei Wegpunkt statt bei 0 beginnen.

    Andernfalls installiere Pakete mit ihrem Fortschrittsbalken beginnend an diesem »Wegpunkt«. Muss mit --to verwendet werden.

--to Wegpunkt
    Falls mit --start benutzt, wird der Fortschrittsbalken bei Wegpunkt statt bei 100 enden.

    Andernfalls installiere Pakete mit ihrem Fortschrittsbalken an diesem »Wegpunkt« endend. Muss mit --from verwendet werden.

--stop
    Stoppt einen laufenden Fortschrittsbalken.

--no-progress
    Vermeide das Starten, Stoppen oder Fortschreiten des Fortschrittsbalkens. Fortschrittsnachrichten von APT, Meldungen über geänderte Medien und Fragen von Debconf werden noch an Debconf weitergegeben.

--dlwaypoint Prozent
    Legt fest, welchen Prozentanteil des Fortschrittsbalkens zum Herunterladen von Paketen verwandt wird. Der Rest wird zur Installation von Paketen verwandt. Standardmäßig werden 15% zum Herunterladen und die verbleibenden 85% für die Installation verwandt.

--logfile Datei
    Schicke die normale Ausgabe von APT in die angegebene Datei.

--logstderr
    Schicke die normale Ausgabe von APT nach Stderr. Falls Sie weder die Option --logfile noch --logstderr verwenden, wird die normale Ausgabe von APT verworfen.

--  Beende Optionen. Da Sie normalerweise mindestens das Argument -y an den ausgeführten Befehl übergeben müssen, werden Sie gewöhnlich -- verwenden müssen, um dessen Interpretation als Option für debconf-apt-progress selbst zu verhindern.

BEISPIELE
Installiere den GNOME-Desktop und eine X-Window-System-Entwicklungsumgebung mit einem Fortschrittsbalken:

 debconf-apt-progress -- aptitude -y install gnome x-window-system-dev

Installiere die GNOME-, KDE- und XFCE-Desktops innerhalb eines einzigen Fortschrittsbalkens, wobei 45% des Fortschrittsbalkens jeweils für GNOME und KDE zugeordnet werden und die verbliebenen 10% für XFCE:

 #! /bin/sh
 set -e
 case $1 in
   '')
     eval "$(debconf-apt-progress --config)"
     "$0" debconf
     ;;
   debconf)
     . /usr/share/debconf/confmodule
     debconf-apt-progress --start
     debconf-apt-progress --from 0 --to 45 -- apt-get -y install gnome
     debconf-apt-progress --from 45 --to 90 -- apt-get -y install kde
     debconf-apt-progress --from 90 --to 100 -- apt-get -y install xfce4
     debconf-apt-progress --stop
     ;;
 esac

RÜCKGABEWERT
Der Exit-Code des angegebenen Befehls wird zurückgegeben, falls der Benutzer nicht den Knopf »Abbrechen« beim Fortschrittsbalken gedrückt hat. Falls dieser Knopf gedrückt wurde, wird der Wert 30 zurückgegeben. Um Mehrdeutigkeiten zu vermeiden, wird ein Wert von 3 zurückgegeben, falls der Befehl 30 zurücklieferte.

AUTOREN
Colin Watson <cjwatson@debian.org>

Joey Hess <joeyh@debian.org>

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2008 von Helge Kreutzmann <debian@helgefjell.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.